---
title: WindowOrWorkerGlobalScope.clearTimeout()
slug: Web/API/WindowOrWorkerGlobalScope/clearTimeout
tags:
  - API
  - HTML DOM
  - Method
  - Reference
  - WindowOrWorkerGlobalScope
  - clearTimeout
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>clearTimeout()</code></strong> method of the {{domxref("WindowOrWorkerGlobalScope")}} mixin cancels a timeout previously established by calling {{domxref("WindowOrWorkerGlobalScope.setTimeout", "setTimeout()")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>scope</em>.clearTimeout(<em>timeoutID</em>)
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><em>timeoutID</em></code></dt>
 <dd>The identifier of the timeout you want to cancel. This ID was returned by the corresponding call to <code>setTimeout()</code>.</dd>
</dl>

<p>It's worth noting that the pool of IDs used by {{domxref("WindowOrWorkerGlobalScope.setTimeout", "setTimeout()")}} and {{domxref("WindowOrWorkerGlobalScope.setInterval", "setInterval()")}} are shared, which means you can technically use <code>clearTimeout()</code> and {{domxref("WindowOrWorkerGlobalScope.clearInterval", "clearInterval()")}} interchangeably. However, for clarity, you should avoid doing so.</p>

<h2 id="Example">Example</h2>

<p>Run the script below in the context of a web page and click on the page once. You'll see a message popping up in a second. If you click the page multiple times in one second, the alert only appears once.</p>

<pre class="brush: js">var alarm = {
  remind: function(aMessage) {
    alert(aMessage);
    this.timeoutID = undefined;
  },

  setup: function() {
    if (typeof this.timeoutID === 'number') {
      this.cancel();
    }

    this.timeoutID = window.setTimeout(function(msg) {
      this.remind(msg);
    }.bind(this), 1000, 'Wake up!');
  },

  cancel: function() {
    window.clearTimeout(this.timeoutID);
  }
};
window.onclick = function() { alarm.setup(); };
</pre>

<h2 id="Notes">Notes</h2>

<p>Passing an invalid ID to <code>clearTimeout()</code> silently does nothing; no exception is thrown.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'webappapis.html#dom-cleartimeout', 'WindowOrWorkerGlobalScope.clearTimeout()')}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>Method moved to the <code>WindowOrWorkerGlobalScope</code> mixin in the latest spec.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'webappapis.html#dom-cleartimeout', 'clearTimeout()')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WindowOrWorkerGlobalScope.clearTimeout")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WindowOrWorkerGlobalScope.setTimeout()")}}</li>
 <li>{{domxref("WindowOrWorkerGlobalScope.setInterval()")}}</li>
 <li>{{domxref("WindowOrWorkerGlobalScope.clearInterval()")}}</li>
 <li>{{domxref("Window.requestAnimationFrame()")}}</li>
 <li><a href="/en-US/docs/JavaScript/Timers/Daemons" title="JavaScript/Timers/Daemons"><em>Daemons</em> management</a></li>
</ul>
